'use strict';

window.addEventListener( 'load', function( event )
 {  
    if ($("#txtcliente").val()== $("#cliente1").val()) {
        buscarAdeudos($('#idcliente').val());
      }
    $(".readonly").keydown(function(e){
        e.preventDefault();
       });

        $.fn.datepicker.dates['en'] = {
            days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
            daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
            daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
            months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
            monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
            today: "Today",
            clear: "Clear",

            weekStart: 0
        };

        $.datepicker.setDefaults($.datepicker.regional['en']);
    console.log("sdafasdfasdf");
     
     var today = new Date();
    /* $(".date-picker").attr("data-date-end-date","today+2m");*/
     $(".date-picker").datepicker({
            isRTL: false,
            format: "yyyy-mm-dd",
           /* yearRange: "0000",*/
            viewMode: "months,days", 
            minViewMode: "months,days",
            autoclose: true,
        startDate: new Date(today.getFullYear(), today.getMonth(), today.getDate()),
        todayHighlight: true,
        /*setDate:"getDate",*/
        /*startDate: today,*/
        /*endDate: "+3d"*/
                       
        });

        $('.time-picker').clockpicker({
          autoclose: true,
          minutestep: 1,
        });
        // funcion para boton de adeudos
        var botonAdeudos= document.querySelector('#bAdeudos');
        botonAdeudos.addEventListener('click', function(e){
            var id=document.getElementById('idcliente').value;
            console.log('clickeo adeudo');
            $.ajax({
              url:base_url+"caja/Franquiciatario/cajaF/todosAdeudos/",
              type:'POST',
              dataType: 'json',
              data:{id:id},
              success:function(result){
                console.log(result);
                ventanaAdeudos(result);
                },//end success ajax response
                error:function(xhr, textStatus, errorThrown, error){
                  console.log(xhr.responseText);
                  swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
                    .then((value) => {
                    // location.href="";
                    });
                  },
                });//end ajax  
          });
          $("#txtcliente").on("keyup", function() {
              
            if ($("#txtcliente").val() != $("#cliente1").val()) {
               document.getElementById("idcliente").value="";
               document.getElementById("botonAdeudos").classList.add('invisible');
             }
         });
         $("#guarda").on("click", function() {
            if (($("#idcliente").val()=="")) {//vaida el cliente
              //  alert("El cliente no esta registrado");              
               $("#txtcliente").notify('El cliente no esta registrado',{
                position:'top center',
                className:'error',
              });
              document.getElementById('txtcliente').focus();
               return false;
            }
            if($("#idservi").val()=="" && $("#idpromo").val()=="")
            {
              $("#servicioP").notify('Seleccione un servicio o promoción',{
                position:'top center',
                className:'error',
              });
              return false;
            }
        });
        $("#servicioP").autocomplete({
            source: base_url+"agenda/franquiciatario/agregarcitaF/servicios/?",
   
            select: function (event, ui) {
                     if(ui.item.identificador=='SA' || ui.item.identificador=='SG')
                     {
                       $('[name="idservi"]').val(ui.item.id);
                       $('[name="servi1"]').val(ui.item.label);
                       $('[name="idpromo"]').val('');
                       $('[name="promo1"]').val('');
   
                     }else
                     {
                     if(ui.item.identificador=='PI' || ui.item.identificador=='PF')
                     {                    
                       $('[name="idpromo"]').val(ui.item.sesiones);
                       $('[name="promo1"]').val(ui.item.label);
                       $('[name="idservi"]').val('');
                       $('[name="servi1"]').val('');
                     }
                   }  
                     }
               });
   
           $("#txtcliente").autocomplete({
            source: base_url+"/agenda/franquiciatario/agregarcitaF/clientes/?",
   
            select: function (event, ui) {
                     
                        $('[name="idcliente"]').val(ui.item.id);
                       $('[name="cliente1"]').val(ui.item.label);
                       $('[name="txtcliente"]').val(ui.item.label);
                      // $('[name="cliente1"]').val(ui.item.label);
                      buscarAdeudos(ui.item.id);
                       
                     }
               });
 });//fin window.load
 function buscarAdeudos(id)
 {
   $.ajax({
     url:base_url+"caja/Franquiciatario/cajaF/buscarAdeudos/",
     type:'POST',
     dataType: 'json',
     data:{id:id},
     success:function(result){
       console.log(result);
       if(result=='adeudo')
       {
         document.getElementById("botonAdeudos").classList.remove('invisible');
         $('#bAdeudos').notify('Cliente con adeudos',{
           position:'bottom center',
           className:'error',
         });
       }else{
         document.getElementById("botonAdeudos").classList.add('invisible');
       }
     },//end success ajax response
     error:function(){
       console.log("No hay resultados");
       swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
         .then((value) => {
         location.href="";
         });
       },
     });//end ajax   
 }
 function ventanaAdeudos(result)
   {
    $("#listaAdeudos tr").remove();
     var fila, tr, editar;
     for(var i=0; i<result.length; i++)
     {
         if(result[i] != '')
         {
           if(rol==2)
           {
            switch(result[i][6])
            {
                case 'PROD':
                     editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editar/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                case 'SA':
                    editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editar2/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                case 'SG':
                        editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editar3/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                case 'PROM':
                        editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editarPro/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                default:
                        editar="";
                    break;
            }
          }else if(rol==3)
          {
            switch(result[i][6])
            {
                case 'PROD':
                     editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editar/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                case 'SA':
                    editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editar2/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                case 'SG':
                        editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editar3/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                case 'PROM':
                        editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editarPro/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                    break;
                default:
                        editar="";
                    break;
            }
          }
           fila="<tr><td class='invisible'>"+result[i][0]+"</td><td>"+result[i][8]+"</td><td>"+result[i][2]+"</td><td>$ "+result[i][3]+"</td><td>$ "+result[i][4]+"</td><td>"+editar+"</td><tr>";
           tr= document.createElement("TR");
           tr.innerHTML=fila;
           document.getElementById("listaAdeudos").appendChild(tr);
     
         }
     }
     $("#modal-adeudos").modal();
   }


//funcion que autocompleta el campo de clientes
// $(document).ready(function(){
//         $("#txtcliente").autocomplete({
//          source: "<?php echo site_url('agenda/franquiciatario/ListacitasF/clientes/?');?>",

//          select: function (event, ui) {
//                     // $('[name="codigo"]').val(ui.item.id);
//                     // $('[name="idc"]').val(ui.item.id);
//                     $('[name="txtcliente"]').val(ui.item.label);
//                     // $('[name="cliente"]').val(ui.item.label); 
                    
//                   }
//             });
//           });




//Funcion que desahabilita input de promociones y servicios
// $(document).ready(function() {
//             $("#txt_promocioneslocales").on("keyup", function() {
//                 if (($("#txt_promocioneslocales").val() !="")) {
//                   $("#txt_serviciosAP").prop("disabled", true) ;
//                   $("#txt_promocionesinstitucionales").prop("disabled", true);
//                   $("#txt_serviciosGM").prop("disabled", true);
                  
//                 } else {
//                     $("#txt_serviciosAP").prop("disabled", false);
//                     $("#txt_promocionesinstitucionales").prop("disabled", false);
//                     $("#txt_serviciosGM").prop("disabled", false);
                  
//                 }
//             });
//         });  

// //Funcion que desahabilita input de promociones y servicios
// $(document).ready(function() {
//             $("#txt_promocionesinstitucionales").on("keyup", function() {
//                 if (($("#txt_promocionesinstitucionales").val() !="")) {
//                   $("#txt_serviciosAP").prop("disabled", true) ;
//                   $("#txt_promocioneslocales").prop("disabled", true);
//                   $("#txt_serviciosGM").prop("disabled", true);
                  
//                 } else {
//                     $("#txt_promocioneslocales").prop("disabled", false);
//                     $("#txt_serviciosAP").prop("disabled", false);
//                     $("#txt_serviciosGM").prop("disabled", false);
                  
//                 }
//             });
//         });  
// //Funcion que desahabilita input de promociones y servicios
// $(document).ready(function() {
//             $("#txt_serviciosAP").on("keyup", function() {
//                 if (($("#txt_serviciosAP").val() !="")) {
//                   $("#txt_promocionesinstitucionales").prop("disabled", true) ;
//                   $("#txt_promocioneslocales").prop("disabled", true);
//                   $("#txt_serviciosGM").prop("disabled", true);
                  
//                 } else {
//                     $("#txt_promocioneslocales").prop("disabled", false);
//                     $("#txt_promocionesinstitucionales").prop("disabled", false);
//                     $("#txt_serviciosGM").prop("disabled", false);
                  
//                 }
//             });
//         }); 
// //Funcion que desahabilita input de promociones y servicios
// $(document).ready(function() {
//             $("#txt_serviciosGM").on("keyup", function() {
//                 if (($("#txt_serviciosGM").val() !="")) {
//                   $("#txt_promocionesinstitucionales").prop("disabled", true) ;
//                   $("#txt_promocioneslocales").prop("disabled", true);
//                   $("#txt_serviciosAP").prop("disabled", true);
                  
//                 } else {
//                     $("#txt_promocioneslocales").prop("disabled", false);
//                     $("#txt_promocionesinstitucionales").prop("disabled", false);
//                     $("#txt_serviciosAP").prop("disabled", false);
                  
//                 }
//             });
//         }); 

// $(document).ready(function() {
//             $("#txthoraf").on("keyup", function() {
//                 if (($("#txthoraf").val() <= $("#txthorai").val())) {
//                    alert("Hora no valida");
                  
//                 } else {
                    
//                    alert("Hora valida");
//                 }
//             });
//         });
// function validaHora(){
//   try{
//       var hi = Date.parse(document.Agregarcita.txthorai.value);
//       var hf = Date.parse(document.Agregarcita.txthoraf.value);
//       if(hf < hi){
//         alert("Hora no valida");
//       }
//       else
//         {alert("Hora valida");}
//   }catch(e){}

// }


// $(document).ready(function(){
//     $('#txthorai').timepicker({
//            scrollbar: true
//     });
// });